lcm-logplayer-gui(1)

NAME
lcm-logplayer-gui - full featured log playback and editing tool

SYNOPSIS

lcm-logplayer-gui [options] [FILE]

DESCRIPTION

lcm-logplayer-gui is the Lightweight Communications and Marshalling log playback tool. It provides a graphical user interface for playing logfiles recorded with lcm-logger. Features include random access, different playback speeds, channel suppression and remapping, and more. lcm-logplayer-gui is written in Java, and uses the LCM Java bindings. Consequently, running it requires a working Java virtual machine.

OPTIONS
The following options are provided by lcm-logplayer-gui

-l, --lcm-url=URL
    Use the specified LCM URL

-t, --title [LABEL]
    Display LABEL in the window title

--title-url
    Display the LCM URL in the title

-h, --help
    Shows some help text and exits

SEE ALSO
lcm-logger(1) lcm-logplayer(1)

COPYRIGHT
lcm-logplayer-gui is part of the Lightweight Communications and Marshalling (LCM) project. Permission is granted to copy, distribute and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. See the file COPYING in the LCM distribution for more details regarding distribution. LCM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with LCM; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR
This manual page was written by Albert Huang.